<?xml version="1.0"?>
<?xml-stylesheet type="text/css" href="http://docs.hostway.com/skins/common/feed.css?303"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
		<id>http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Accounts-accountId-action%3APOST</id>
		<title>Accounts-accountId-action:POST - Revision history</title>
		<link rel="self" type="application/atom+xml" href="http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Accounts-accountId-action%3APOST"/>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-accountId-action:POST&amp;action=history"/>
		<updated>2026-05-23T18:09:56Z</updated>
		<subtitle>Revision history for this page on the wiki</subtitle>
		<generator>MediaWiki 1.18.0</generator>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Accounts-accountId-action:POST&amp;diff=2391&amp;oldid=prev</id>
		<title>Corinne.chui: 1 revision</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-accountId-action:POST&amp;diff=2391&amp;oldid=prev"/>
				<updated>2016-05-30T19:33:58Z</updated>
		
		<summary type="html">&lt;p&gt;1 revision&lt;/p&gt;
&lt;table class='diff diff-contentalign-left'&gt;
		&lt;tr valign='top'&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;← Older revision&lt;/td&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;Revision as of 19:33, 30 May 2016&lt;/td&gt;
		&lt;/tr&gt;&lt;/table&gt;</summary>
		<author><name>Corinne.chui</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Accounts-accountId-action:POST&amp;diff=2390&amp;oldid=prev</id>
		<title>Kj.lee: Created page with &quot;= POST /accounts/''{accountId}''/action = Initiate an action on an account __TOC__ == Request == &lt;code&gt;POST /accounts/''{accountId}''/action&lt;/code&gt;  ==== Parameters ==== ; acc...&quot;</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-accountId-action:POST&amp;diff=2390&amp;oldid=prev"/>
				<updated>2016-05-07T01:26:09Z</updated>
		
		<summary type="html">&lt;p&gt;Created page with &amp;quot;= POST /accounts/&amp;#039;&amp;#039;{accountId}&amp;#039;&amp;#039;/action = Initiate an action on an account __TOC__ == Request == &amp;lt;code&amp;gt;POST /accounts/&amp;#039;&amp;#039;{accountId}&amp;#039;&amp;#039;/action&amp;lt;/code&amp;gt;  ==== Parameters ==== ; acc...&amp;quot;&lt;/p&gt;
&lt;p&gt;&lt;b&gt;New page&lt;/b&gt;&lt;/p&gt;&lt;div&gt;= POST /accounts/''{accountId}''/action =&lt;br /&gt;
Initiate an action on an account&lt;br /&gt;
__TOC__&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;POST /accounts/''{accountId}''/action&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; accountId - ''string''&lt;br /&gt;
: The Id of the account.&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
None.&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
{{Authorization}}&lt;br /&gt;
&lt;br /&gt;
=== Request Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;action&amp;quot;: &amp;quot;{action}&amp;quot;,&lt;br /&gt;
  &amp;quot;actionData&amp;quot;: {actionData}&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; action - ''string''&lt;br /&gt;
: The action that should be performed. Allowed values are:&lt;br /&gt;
:: '''interFranchiseMigration''' - Submits a request to migrate this account to another franchise.&lt;br /&gt;
&lt;br /&gt;
; actionData - ''dictionary''&lt;br /&gt;
: Optional. Reserved for data specific for the requested action.&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
;202 Accepted&lt;br /&gt;
: The request has been successfully initiated.  Check the action status for future updates.&lt;br /&gt;
&lt;br /&gt;
;400 Bad Request&lt;br /&gt;
: The request body is not formatted correctly, is missing a required field, or contains an invalid value.&lt;br /&gt;
&lt;br /&gt;
;403 Forbidden&lt;br /&gt;
: Forbidden access to users that are not authorized for such access.&lt;br /&gt;
&lt;br /&gt;
;404 Not Found&lt;br /&gt;
: The account Id was not found.&lt;br /&gt;
&lt;br /&gt;
;409 Conflict&lt;br /&gt;
: An action has already been submitted for this account and is in progress.&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
None&lt;br /&gt;
&lt;br /&gt;
== Examples ==&lt;br /&gt;
&lt;br /&gt;
=== Migrate an account to franchise &amp;quot;franchise-2&amp;quot; and set the new partner account Id to &amp;quot;partner1&amp;quot; ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
POST {{APIBaseURL}}/accounts/account123/action&lt;br /&gt;
Content-Type:application/json; Charset=UTF-8&lt;br /&gt;
&lt;br /&gt;
{&lt;br /&gt;
  action: &amp;quot;interFranchiseMigration&amp;quot;,&lt;br /&gt;
  actionData: {&lt;br /&gt;
    franchise: &amp;quot;franchise-2&amp;quot;,&lt;br /&gt;
    partnerAccountId: &amp;quot;partner1&amp;quot;&lt;br /&gt;
  }&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
HTTP/1.1 202 Accepted&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Account|Account Management API]]&lt;br /&gt;
* [[Common Features]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Account Management API]]&lt;/div&gt;</summary>
		<author><name>Kj.lee</name></author>	</entry>

	</feed>